Gocator API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoSerial Class Reference
GoSdk/Output » Serial

## Description

Represents Serial output settings.

Inheritance diagram for GoSerial:

## Public Member Functions
kStatus | GoSerial_AddSource (GoSerial serial, k32u sourceId)
| Selects the specified source for transmission. More...
kChar * | GoSerial_AsciiCustomDataFormat (GoSerial serial)
| Gets the ASCII protocol output custom data format string. More...
kBool | GoSerial_AsciiCustomFormatEnabled (GoSerial serial)
| Gets the enabled state of the ASCII protocol custom data format. More...
kChar * | GoSerial_AsciiDelimiter (GoSerial serial)
| Gets the ASCII protocol output delimiter string. More...
kChar * | GoSerial_AsciiInvalidValue (GoSerial serial)
| Gets the ASCII protocol output invalid value string. More...
GoAsciiStandardFormatMode | GoSerial_AsciiStandardFormat (GoSerial serial)
| Gets the current standard format mode. More...
kChar * | GoSerial_AsciiTerminator (GoSerial serial)
| Gets the ASCII protocol output terminator string. More...
kStatus | GoSerial_ClearSources (GoSerial serial)
| Removes all selected sources for the specified output type. More...
kStatus | GoSerial_EnableAsciiCustomFormat (GoSerial serial, kBool enabled)
| Sets the enabled state of the ASCII protocol custom data format. More...
k32u | GoSerial_OptionAt (GoSerial serial, kSize index)
| Gets the source option at the specified index. More...
kSize | GoSerial_OptionCount (GoSerial serial)
| Gets the number of source options. More...
k32u | GoSerial_Protocol (GoSerial serial)
| Returns the current Serial output protocol value. More...
k32u | GoSerial_ProtocolOptionAt (GoSerial serial, kSize index)
| Gets the serial protocol option at the specified index. More...
kSize | GoSerial_ProtocolOptionCount (GoSerial serial)
| Gets the count of serial protocol options. More...
kStatus | GoSerial_RemoveSource (GoSerial serial, kSize index)
| Removes (de-selects) the source at the specified index. More...
k64f | GoSerial_SelcomDataScaleMax (GoSerial serial)
| Gets the Selcom protocol data scale maximum value. More...
k64f | GoSerial_SelcomDataScaleMin (GoSerial serial)
| Gets the Selcom protocol data scale minimum value. More...
k64u | GoSerial_SelcomDelay (GoSerial serial)
| Gets the output delay. More...
GoSelcomFormat | GoSerial_SelcomFormat (GoSerial serial)
| Gets the current Selcom output format. More...
GoSelcomFormat | GoSerial_SelcomFormatOptionAt (GoSerial serial, kSize index)
| Gets the Selcom format option at the specified index. More...
kSize | GoSerial_SelcomFormatOptionCount (GoSerial serial)
| Returns the count of available Selcom protocol output format options. More...
kArrayList | GoSerial_SelcomFormatOptionList (GoSerial serial)
| Gets the list of Selcom format options. More...
k32u | GoSerial_SelcomRate (GoSerial serial)
| Gets the index of the currently selected Selcom output rate. More...
k32u | GoSerial_SelcomRateOptionAt (GoSerial serial, kSize index)
| Gets the Selcom rate option at the specified index. More...
kSize | GoSerial_SelcomRateOptionCount (GoSerial serial)
| Returns the count of available Selcom protocol output rate options. More...
kArrayList | GoSerial_SelcomRateOptionList (GoSerial serial)
| Gets the list of Selcom rate options. More...
kStatus | GoSerial_SetAsciiCustomDataFormat (GoSerial serial, const kChar *string)
| Sets the ASCII protocol output custom data format. More...
kStatus | GoSerial_SetAsciiDelimiter (GoSerial serial, const kChar *string)
| Sets the ASCII protocol output delimiter string. More...
kStatus | GoSerial_SetAsciiInvalidValue (GoSerial serial, const kChar *string)
| Sets the ASCII protocol output invalid value string. More...
kStatus | GoSerial_SetAsciiStandardFormat (GoSerial serial, GoAsciiStandardFormatMode mode)
| Sets the current standard format mode. More...
kStatus | GoSerial_SetAsciiTerminator (GoSerial serial, const kChar *string)
| Sets the ASCII protocol output terminator string. More...
kStatus | GoSerial_SetProtocol (GoSerial serial, k32u protocol)
| Sets the Serial output protocol. More...
kStatus | GoSerial_SetSelcomDataScaleMax (GoSerial serial, k64f value)
| Sets the Selcom protocol maximum data scale value. More...
kStatus | GoSerial_SetSelcomDataScaleMin (GoSerial serial, k64f value)
| Sets the Selcom protocol minimum data scale value. More...
kStatus | GoSerial_SetSelcomDelay (GoSerial serial, k64u delay)
| Sets the delay from exposure until output is triggered, in units based on GoDomain. More...
kStatus | GoSerial_SetSelcomFormat (GoSerial serial, GoSelcomFormat format)
| Sets the Selcom protocol output format. More...
kStatus | GoSerial_SetSelcomRate (GoSerial serial, k32u rate)
| Sets the Selcom protocol output rate. More...
k32u | GoSerial_SourceAt (GoSerial serial, kSize index)
| Gets the identifier of the selected output source at the specified index. More...
kSize | GoSerial_SourceCount (GoSerial serial)
| Gets the number of sources of the specified output type that are currently selected for transmission. More...

The documentation for this class was generated from the following file:

- Outputs/GoSerial.h